<!DOCTYPE html>
<html xmlns:MadCap="http://www.madcapsoftware.com/Schemas/MadCap.xsd" lang="en-us" xml:lang="en-us" class="no-feedback" data-mc-search-type="Stem" data-mc-help-system-file-name="index.xml" data-mc-path-to-help-system="../../" data-mc-target-type="WebHelp2" data-mc-runtime-file-type="Topic" data-mc-preload-images="false" data-mc-in-preview-mode="false" data-mc-toc-path="Scanning">
    <head>
        <meta charset="utf-8" />
        <meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
        <meta name="description" content="Before you can begin the exploitation phase of a penetration test, you must add host data to the project. " /><title>About Scanning</title>
        
        <link href="../../Skins/Default/Stylesheets/TextEffects.css" rel="stylesheet" />
        <link href="../../Skins/Default/Stylesheets/Topic.css" rel="stylesheet" />
        <link href="../Resources/Stylesheets/Styles.css" rel="stylesheet" />
        <script src="../../Resources/Scripts/jquery.min.js">
        </script>
        <script src="../../Resources/Scripts/plugins.min.js">
        </script>
        <script src="../../Resources/Scripts/MadCapAll.js">
        </script>
    </head>
    <map id="map1" name="map1">
        <area shape="rectangle" coords="840,44,1093,87" href="http://www.rapid7.com/products/metasploit/download.jsp" target="_blank" />
        <area shape="rectangle" coords="1107,48,1211,80" href="http://www.rapid7.com/products/metasploit/" target="_blank" />
    </map>
    <body>
        <p class="MCWebHelpFramesetLink MCWebHelpFramesetLinkTop" style="display: none;"><a href="../../index.html#07-scanning/about-scanning.html">Open topic with navigation</a>
        </p>
        <h1>About Scanning</h1>
        <p><a name="kanchor47"></a>Before you can begin the exploitation phase of a penetration test, you must add host data to the project. Host data refers to the IP addresses of the systems that you want to exploit and the active ports, services, and vulnerability information associated with those systems. To add host data to a project, you can either run a discovery scan or you can import scan data from a vulnerability scanner, such as Nexpose or Nessus. If you import data from vulnerability analysis tool, or some other third party vendor, you should still run a discovery scan to identify new or additional information for those hosts.
</p>
        <p>A discovery scan is the port scanner included with <span class="VariablesProductName">Metasploit Pro</span>. It combines Nmap with several modules to identify the systems that are alive and to uncover the open ports and services. A port is a data connection that serves as a gateway for communication and enables traffic to travel between systems. Network services, like SSH, telnet, and HTTP, typically run on standard port numbers and can indicate the purpose of the system. You can use the results to filter the list of potentially vulnerable targets. </p>
        <p>
For example, if you discover a service that allows remote code execution, like VNC, you can bruteforce the service to attempt to log into the system. </p>
        <p><a class="MCHelpControl MCHelpControl-Related relatedTopics" data-mc-topics="Data Gathered during a Discovery Scan|discovery-scan-data.html||Discovery Scan Options|discovery-scan-options.html||Discovery Scan Tasks|discovery-scan-tasks.html||Discovery Scans|discovery-scans.html||How a Discovery Scan Works|how-discovery-scan-works.html||Running a Discovery Scan|running-discovery-scan.html"><span class="MCHelpControl-RelatedHotSpot_">Related Topics</span></a>
        </p>
    </body>
</html>